
#ifndef	_ADDRESS_H
#define _ADDRESS_H

typedef	struct	{

	char	*email;		/* host specified email address */
	char	*local;		/* local part of address */
	char	*domain;	/* domain part of address */
	char	*phrase;	/* phrase of Internet address */
	char	*route;		/* route address */
	char	*rtto;		/* inter-route, see BNF route item */
	char	*next;		/* point to parsing end. if there are more */
                                /* than 1 addr-es, it should point to a "," */
} Iadr;

extern int ea_err;	/* syntax error when parsing address */

Iadr *email_addr(char *iaddr);
char *email_pure(char *addr);
char *email_route(char *addr);
int  email_cmp(char *sour, char *dest);

#endif

