
#ifndef	_MEMO_H
#define _MEMO_H

#include <stdio.h>
#include "pmalloc.h"

#define MMIDX   1024    /* the limit of maximum addresses in the memo */

#define PGIDX   128
#define PGSIZE  8192

typedef	struct	{

	FILE	*fp;	/* opened memorandum file */
	PMAL	*pm;	/* memory object */

	char	*idx[MMIDX];
	int	num;
} Memo;

Memo *memo_open(char *memo);
void memo_close(Memo *mm);
int  memo_add_addr(Memo *mm, char *addr);
char *memo_choose(Memo *mm, int col, int line);

#endif

